<template>
  <div class="container">
    <div class="volunteering">
      <h2>{{ $t('volunteering') }}</h2>
      <ul class="volunteering__list">
        <li v-for="(会員, idx) in 会員達" :key="idx">
          <img :src="会員.icon" :alt="会員.title">&nbsp;
          <a :href="会員.link" target="_blank">{{ 会員.title }}</a>
          <span v-if="会員.extra">&mdash; <a :href="会員.extra.link">{{ 会員.extra.title }}</a></span>
        </li>
      </ul>
    </div>

    <div class="social">
      <h2>{{ $t('social') }}</h2>
      <ul class="social__list">
        <li v-for="(m, idx) in media" :key="idx">
          <a :href="m.link" target="_blank">
            <img :src="m.icon" :alt="m.title">&nbsp;
            {{ m.title }}
          </a>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      会員達: [
        { link: 'https://web.ecogood.org/de/', title: 'International Federation for the Economy for the Common Good e.V.', extra: { link: 'https://bayern.ecogood.org/', title: 'in Bayern' }, icon: require('~/assets/img/会員/gwoe_icon_57x57.png') },
        { link: 'https://www.bund-naturschutz.de/', title: 'BUND Naturschutz in Bayern e.V.', extra: { link: 'https://rhoen-grabfeld.bund-naturschutz.de/', title: 'Kreisgruppe Rhön-Grabfeld' }, icon: require('~/assets/img/会員/bns-favicon-32x32.png') },
        { link: 'https://www.fairhandeln.de/', title: 'Aktion Eine Welt e.V.', icon: require('~/assets/img/会員/EWL.png') },
        { link: 'https://musicandyouthculture.de/', title: 'initiative for music and youth culture nes e.V.', icon: require('~/assets/img/会員/myc_weiss.png') },
        { link: 'https://www.mein-grundeinkommen.de/', title: 'Mein Grundeinkommen e.V.', icon: require('~/assets/img/会員/mge-favicon-32x32.png') },
      ],
      media: [
        { link: 'https://gemeinwohl-development.de', title: 'GEMEINWOHL.development', icon: require('~/assets/img/social/gd-favicon.png') },
        { link: 'https://gitlab.com/DRogueRonin', title: 'GitLab', icon: require('~/assets/img/social/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png') },
        { link: 'https://github.com/DRogueRonin', title: 'GitHub', icon: require('~/assets/img/social/GitHub-Mark-Light-32px.png') },
        { link: 'https://profiles.wordpress.org/drogueronin/', title: 'WordPress.org', icon: require('~/assets/img/social/wp-favicon.png') },
      ],
    };
  },
};
</script>

<style lang="scss" scoped>
.container {
  margin: 0 auto;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: space-around;
}

a {
  text-decoration: none;
}

ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
}

li + li {
  margin-top: 0.75rem;
}

.volunteering {
  h2 {
    margin-top: 0;
  }

  &__list {
    li {
      text-align: left;

      > img {
        max-height: 1.5em;
        max-width: 1.5em;
        vertical-align: -6px;
      }
    }
  }
}

.social {
  &__list {
    li {
      > a {
        display: flex;
        align-items: center;

        > img {
          max-height: 1.5em;
          max-width: 1.5em;
        }
      }
    }
  }
}
</style>

<i18n>
{
  "de": {
    "topics": "Themenbereiche",
    "volunteering": "Ehrenämter & Mitgliedschaften",
    "social": "Social & Media"
  },
  "en": {
    "topics": "Topics",
    "volunteering": "Volunteering & Memberships",
    "social": "Social & Media"
  },
  "jp": {
    "topics": "話題",
    "volunteering": "Ehrenämterと会員",
    "social": " ソーシャルとメディア "
  }
}
</i18n>
